Descreva um segredo (sem valor)
curl --request GET \
--url https://secrets.{region}.basaltic.sh/v1/secrets/{secret_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://secrets.{region}.basaltic.sh/v1/secrets/{secret_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://secrets.{region}.basaltic.sh/v1/secrets/{secret_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secret": {
"id": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"name": "prod/api/stripe-key",
"crn": "crn:secrets:sa-saopaulo-1:my-account:secret/prod/api/stripe-key",
"managed": false,
"recovery_window_days": 7,
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-18T11:45:00Z",
"description": "Stripe live secret key for the payments service",
"tags": {
"environment": "production",
"team": "backend"
},
"kms_key_unavailable": true,
"kms_key_crn": "crn:kms:sa-saopaulo-1:acme:key/service-key",
"deleted_at": "2026-01-20T14:05:00Z",
"scheduled_purge_at": "2026-01-27T14:05:00Z",
"current_version": 3
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Segredos
Descreva um segredo (sem valor)
GET
/
v1
/
secrets
/
{secret_id}
Descreva um segredo (sem valor)
Requer a ação do IAM
secrets:DescribeSecret. Consulte permissões de segredos para obter a lista completa, o que cada uma cobre e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Parâmetros de caminho
Exemplo:
"a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d"
Resposta
Metadados secretos.
Show child attributes
Show child attributes

